import { LogLevel } from '@genesislcap/foundation-utils';
import { ErrorStructure, ErrorBanner, ErrorDialog, ErrorNotification, Snackbar } from './types';
export declare class ErrorBuilder {
    private title;
    private errorDetails;
    private logLevel;
    private alert;
    private notification;
    private banner;
    private snackbar;
    private dialog;
    withTitle(title: string): ErrorBuilder;
    withErrorDetails(errorDetails: string): ErrorBuilder;
    withLogLevel(logLevel: LogLevel): ErrorBuilder;
    withAlert(alert: boolean): ErrorBuilder;
    withNotification(notification: ErrorNotification): ErrorBuilder;
    withBanner(banner: ErrorBanner): ErrorBuilder;
    withSnackbar(snackbar: Snackbar): ErrorBuilder;
    withDialog(dialog: ErrorDialog): ErrorBuilder;
    build(): ErrorStructure;
}
export declare const getErrorBuilder: () => ErrorBuilder;
//# sourceMappingURL=error-builder.d.ts.map