import { Snackbar, ConfirmingAction } from '../types';
export declare class SnackbarBuilder {
    private confirmingActions;
    private type;
    /**
     * Add type to snackbar
     * @public
     * @param type
     * @returns
     */
    withType(type: 'error' | ''): SnackbarBuilder;
    /**
     * Add confirming action to snackbar
     * @public
     * @param confirmingAction
     * @returns
     * */
    withConfirmingAction(confirmingAction: ConfirmingAction): SnackbarBuilder;
    /**
     * Build snackbar
     * @public
     * @returns Snackbar
     * */
    build(): Snackbar;
}
export declare const getSnackbarBuilder: () => SnackbarBuilder;
//# sourceMappingURL=snackbar-builder.d.ts.map