import { LogLevel } from '@genesislcap/foundation-utils';
export declare enum ErrorBoundaryEvent {
    ERROR_BOUNDARY_EVENT = "error-boundary-event"
}
export interface ErrorNotification {
    readonly type?: 'warning' | 'success' | '';
    readonly autoClose?: boolean;
    readonly closeTimeout?: number;
}
export interface DismissingAction {
    readonly label: String;
    readonly action?: Function;
}
export interface ConfirmingAction {
    readonly label: String;
    readonly action: Function;
}
export interface ErrorDialog {
    readonly confirmingActions?: Array<ConfirmingAction>;
    readonly dismissingAction?: DismissingAction;
}
export interface ErrorBanner {
    readonly dismissingAction?: DismissingAction;
    readonly confirmingActions?: Array<ConfirmingAction>;
}
export interface Snackbar {
    readonly type?: 'error' | '';
    readonly confirmingActions?: Array<ConfirmingAction>;
}
export interface ErrorStructure {
    readonly title: string;
    readonly errorDetails: string;
    readonly logLevel?: LogLevel;
    readonly config?: {
        /**
         * @deprecated Use logLevel from the top level instead
         */
        readonly logLevel?: LogLevel;
        readonly alert?: boolean;
        readonly notification?: ErrorNotification;
        readonly banner?: ErrorBanner;
        readonly snackbar?: Snackbar;
        readonly dialog?: ErrorDialog;
    };
}
export type ErrorElement = HTMLElement & {
    error: ErrorStructure;
};
export type ErrorDialogElement = ErrorElement & {
    show: Function;
};
//# sourceMappingURL=types.d.ts.map