export class ErrorBannerBuilder {
    withDismissingAction(dismissingAction) {
        this.dismissingAction = dismissingAction;
        return this;
    }
    withConfirmingAction(confirmingAction) {
        if (!this.confirmingActions) {
            this.confirmingActions = [];
        }
        this.confirmingActions.push(confirmingAction);
        return this;
    }
    build() {
        let errorBanner = {};
        if (this.dismissingAction) {
            errorBanner = Object.assign({ dismissingAction: this.dismissingAction }, errorBanner);
        }
        if (this.confirmingActions) {
            errorBanner = Object.assign({ confirmingActions: this.confirmingActions }, errorBanner);
        }
        return errorBanner;
    }
}
export const getErrorBannerBuilder = () => new ErrorBannerBuilder();
//# sourceMappingURL=error-banner-builder.js.map