export class ErrorDialogBuilder {
    withDismissingAction(dismissingAction) {
        this.dismissingAction = dismissingAction;
        return this;
    }
    withConfirmingAction(confirmingAction) {
        if (!this.confirmingActions) {
            this.confirmingActions = [];
        }
        this.confirmingActions.push(confirmingAction);
        return this;
    }
    build() {
        let errorDialog = {};
        if (this.dismissingAction) {
            errorDialog = Object.assign({ dismissingAction: this.dismissingAction }, errorDialog);
        }
        if (this.confirmingActions) {
            errorDialog = Object.assign({ confirmingActions: this.confirmingActions }, errorDialog);
        }
        return errorDialog;
    }
}
export const getErrorDialogBuilder = () => new ErrorDialogBuilder();
//# sourceMappingURL=error-dialog-builder.js.map