export class NotificationBuilder {
    withAutoClose(autoClose) {
        this.autoClose = autoClose;
        return this;
    }
    withCloseTimeout(closeTimeout) {
        this.closeTimeout = closeTimeout;
        return this;
    }
    withType(type) {
        this.type = type;
        return this;
    }
    build() {
        let notification = {};
        if (this.autoClose) {
            notification = Object.assign({ autoClose: this.autoClose }, notification);
        }
        if (this.closeTimeout) {
            notification = Object.assign({ closeTimeout: this.closeTimeout }, notification);
        }
        if (this.type) {
            notification = Object.assign({ type: this.type }, notification);
        }
        return notification;
    }
}
export const getNotificationBuilder = () => new NotificationBuilder();
//# sourceMappingURL=notification-builder.js.map