## API Report File for "@genesislcap/foundation-errors"

> Do not edit this file. It is a report generated by [API Extractor](https://api-extractor.com/).

```ts

import { LogLevel } from '@genesislcap/foundation-utils';

// @public (undocumented)
export interface ConfirmingAction {
    // (undocumented)
    readonly action: Function;
    // (undocumented)
    readonly label: String;
}

// @public (undocumented)
export interface DismissingAction {
    // (undocumented)
    readonly action?: Function;
    // (undocumented)
    readonly label: String;
}

// @public (undocumented)
export interface ErrorBanner {
    // (undocumented)
    readonly confirmingActions?: Array<ConfirmingAction>;
    // (undocumented)
    readonly dismissingAction?: DismissingAction;
}

// @public (undocumented)
export class ErrorBannerBuilder {
    // (undocumented)
    build(): ErrorBanner;
    // (undocumented)
    withConfirmingAction(confirmingAction: ConfirmingAction): ErrorBannerBuilder;
    // (undocumented)
    withDismissingAction(dismissingAction: DismissingAction): ErrorBannerBuilder;
}

// @public (undocumented)
export enum ErrorBoundaryEvent {
    // (undocumented)
    ERROR_BOUNDARY_EVENT = "error-boundary-event"
}

// @public (undocumented)
export class ErrorBuilder {
    // (undocumented)
    build(): ErrorStructure;
    // (undocumented)
    withAlert(alert: boolean): ErrorBuilder;
    // (undocumented)
    withBanner(banner: ErrorBanner): ErrorBuilder;
    // (undocumented)
    withDialog(dialog: ErrorDialog): ErrorBuilder;
    // (undocumented)
    withErrorDetails(errorDetails: string): ErrorBuilder;
    // (undocumented)
    withLogLevel(logLevel: LogLevel): ErrorBuilder;
    // (undocumented)
    withNotification(notification: ErrorNotification): ErrorBuilder;
    // (undocumented)
    withSnackbar(snackbar: Snackbar): ErrorBuilder;
    // (undocumented)
    withTitle(title: string): ErrorBuilder;
}

// @public (undocumented)
export interface ErrorDialog {
    // (undocumented)
    readonly confirmingActions?: Array<ConfirmingAction>;
    // (undocumented)
    readonly dismissingAction?: DismissingAction;
}

// @public (undocumented)
export class ErrorDialogBuilder {
    // (undocumented)
    build(): ErrorDialog;
    // (undocumented)
    withConfirmingAction(confirmingAction: ConfirmingAction): ErrorDialogBuilder;
    // (undocumented)
    withDismissingAction(dismissingAction: DismissingAction): ErrorDialogBuilder;
}

// @public (undocumented)
export type ErrorDialogElement = ErrorElement & {
    show: Function;
};

// @public (undocumented)
export type ErrorElement = HTMLElement & {
    error: ErrorStructure;
};

// @public (undocumented)
export interface ErrorNotification {
    // (undocumented)
    readonly autoClose?: boolean;
    // (undocumented)
    readonly closeTimeout?: number;
    // (undocumented)
    readonly type?: 'warning' | 'success' | '';
}

// @public (undocumented)
export interface ErrorStructure {
    // (undocumented)
    readonly config?: {
        readonly logLevel?: LogLevel;
        readonly alert?: boolean;
        readonly notification?: ErrorNotification;
        readonly banner?: ErrorBanner;
        readonly snackbar?: Snackbar;
        readonly dialog?: ErrorDialog;
    };
    // (undocumented)
    readonly errorDetails: string;
    // (undocumented)
    readonly logLevel?: LogLevel;
    // (undocumented)
    readonly title: string;
}

// @public (undocumented)
export const getErrorBannerBuilder: () => ErrorBannerBuilder;

// @public (undocumented)
export const getErrorBuilder: () => ErrorBuilder;

// @public
export const getErrorContainer: (id: string, tagName: String) => HTMLElement;

// @public
export const getErrorDetails: (details: ErrorStructure) => string;

// @public (undocumented)
export const getErrorDialogBuilder: () => ErrorDialogBuilder;

// @public
export const getLoglevel: (details: ErrorStructure) => LogLevel;

// @public (undocumented)
export const getNotificationBuilder: () => NotificationBuilder;

// @public (undocumented)
export const getSnackbarBuilder: () => SnackbarBuilder;

// @public (undocumented)
export class NotificationBuilder {
    // (undocumented)
    build(): ErrorNotification;
    // (undocumented)
    withAutoClose(autoClose: boolean): NotificationBuilder;
    // (undocumented)
    withCloseTimeout(closeTimeout: number): NotificationBuilder;
    // (undocumented)
    withType(type: 'warning' | 'success' | ''): NotificationBuilder;
}

// @public
export const showDialog: (error: ErrorStructure, tagName: String) => void;

// @public
export const showError: (error: ErrorStructure, tagName: String) => void;

// @public
export const showNotification: (error: ErrorStructure, tagName: String) => void;

// @public
export const showSnackbar: (error: ErrorStructure, tagName: String) => void;

// @public (undocumented)
export interface Snackbar {
    // (undocumented)
    readonly confirmingActions?: Array<ConfirmingAction>;
    // (undocumented)
    readonly type?: 'error' | '';
}

// @public (undocumented)
export class SnackbarBuilder {
    build(): Snackbar;
    withConfirmingAction(confirmingAction: ConfirmingAction): SnackbarBuilder;
    withType(type: 'error' | ''): SnackbarBuilder;
}

// (No @packageDocumentation comment for this package)

```
